# class Raven::Processor::HTTPHeaders

### Constants

DEFAULT_FIELDS

### Attributes

sanitize_http_headers[RW]

### Public Class Methods

new(client) click to toggle source
Calls superclass method Raven::Processor.new

    # File lib/raven/processor/http_headers.rb, line 7
    def initialize(client)
      super
      self.sanitize_http_headers = client.configuration.sanitize_http_headers
    end

### Public Instance Methods

process(data) click to toggle source

    # File lib/raven/processor/http_headers.rb, line 12
    def process(data)
      process_if_symbol_keys(data) if data[:request]
      process_if_string_keys(data) if data["request"]

      data
    end